summaryrefslogtreecommitdiffstats
path: root/libraries/lame
diff options
context:
space:
mode:
author Michiel van Wessem <michiel@slackbuilds.org>2010-05-14 23:49:30 +0200
committer Robby Workman <rworkman@slackware.com>2010-05-14 23:49:30 +0200
commit811dedec60f9a8368e0f80597f752b192b800988 (patch)
tree5da6bf2339ba16df4fa4379609d8b92e9732f4f4 /libraries/lame
parent2f94977c46cb3ff058f1db63884088149aa6f189 (diff)
downloadslackbuilds-811dedec60f9a8368e0f80597f752b192b800988.tar.gz
slackbuilds-811dedec60f9a8368e0f80597f752b192b800988.tar.xz
libraries/lame: Updated for version 3.98.4.
Diffstat (limited to 'libraries/lame')
-rw-r--r--libraries/lame/README6
-rw-r--r--libraries/lame/lame.SlackBuild32
-rw-r--r--libraries/lame/lame.info8
-rw-r--r--libraries/lame/slack-desc20
4 files changed, 37 insertions, 29 deletions
diff --git a/libraries/lame/README b/libraries/lame/README
index 052a0cf896..b196d4079f 100644
--- a/libraries/lame/README
+++ b/libraries/lame/README
@@ -1,3 +1,3 @@
-LAME is an educational tool to be used for learning about MP3 encoding. The
-goal of the LAME project is to use the open source model to improve the
-psycho acoustics, noise shaping and speed of MP3.
+LAME is an educational tool to be used for learning about MP3 encoding.
+The goal of the LAME project is to use the open source model to improve
+the psycho acoustics, noise shaping, and speed of MP3.
diff --git a/libraries/lame/lame.SlackBuild b/libraries/lame/lame.SlackBuild
index 7a0646b7f5..978c13421f 100644
--- a/libraries/lame/lame.SlackBuild
+++ b/libraries/lame/lame.SlackBuild
@@ -1,8 +1,9 @@
#!/bin/sh
# Slackware build script for lame
+
# Copyright 2006 Martin Lefebvre <dadexter@gmail.com>
-# Copyright 2008 Michiel van Wessem, Manchester, United Kingdom
+# Copyright 2008,2010 Michiel van Wessem, Manchester, United Kingdom
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,8 +24,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=lame
-SRCVER=398-2
-VERSION=3.98.2
+VERSION=3.98.4
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -43,6 +43,9 @@ elif [ "$ARCH" = "i686" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
set -e # Exit on most errors.
@@ -50,9 +53,9 @@ set -e # Exit on most errors.
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
-rm -rf $PRGNAM-$SRCVER
-tar -xzvf $CWD/$PRGNAM-$SRCVER.tar.gz
-cd $PRGNAM-$SRCVER
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -68,22 +71,27 @@ CXXFLAGS="$SLKCFLAGS" \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --htmldir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-nasm \
--build=$ARCH-slackware-linux
-make
-make install-strip DESTDIR=$PKG
+make pkgdocdir=/usr/doc/$PRGNAM-$VERSION
+make install \
+ pkgdocdir=/usr/doc/$PRGNAM-$VERSION \
+ DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
)
-
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a API COPYING ChangeLog DEFINES HACKING INSTALL* LICENSE README* \
- STYLEGUIDE TODO USAGE $PKG/usr/doc/$PRGNAM-$VERSION
-mv $PKG/usr/share/doc/$PRGNAM/html $PKG/usr/doc/$PRGNAM-$VERSION
-rm -rf $PKG/usr/share
+ STYLEGUIDE TODO USAGE $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/libraries/lame/lame.info b/libraries/lame/lame.info
index b9a535458e..28ce39224c 100644
--- a/libraries/lame/lame.info
+++ b/libraries/lame/lame.info
@@ -1,10 +1,10 @@
PRGNAM="lame"
-VERSION="3.98.2"
+VERSION="3.98.4"
HOMEPAGE="http://lame.sourceforge.net/"
-DOWNLOAD="http://downloads.sourceforge.net/lame/lame-398-2.tar.gz"
+DOWNLOAD="http://downloads.sourceforge.net/lame/lame-3.98.4.tar.gz"
+MD5SUM="92169a198b28b7dfb79b8860b4709cff"
DOWNLOAD_x86_64=""
-MD5SUM="719dae0ee675d0c16e0e89952930ed35"
MD5SUM_x86_64=""
MAINTAINER="Michiel van Wessem"
EMAIL="michiel@slackbuilds.org"
-APPROVED="Erik Hanson"
+APPROVED="rworkman"
diff --git a/libraries/lame/slack-desc b/libraries/lame/slack-desc
index 8093912eb8..e2974cfd91 100644
--- a/libraries/lame/slack-desc
+++ b/libraries/lame/slack-desc
@@ -5,15 +5,15 @@
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
- |-----handy-ruler------------------------------------------------------|
+ |-----handy-ruler-------------------------------------------------------|
lame: Lame (LAME Ain't an Mp3 Encoder)
-lame:
+lame:
lame: LAME is an educational tool to be used for learning about MP3
-lame: encoding. The goal of the LAME project is to use the open source model
-lame: to improve the psycho acoustics, noise shaping and speed of MP3.
-lame:
-lame:
-lame:
-lame:
-lame:
-lame:
+lame: encoding. The goal of the LAME project is to use the open source
+lame: model to improve the psycho acoustics, noise shaping, and speed of MP3.
+lame:
+lame:
+lame:
+lame:
+lame:
+lame: